package admin_order

import (
	"context"

	"in-server/app/main/api/internal/svc"
	"in-server/app/main/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type AdminDeleteOrderLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewAdminDeleteOrderLogic(ctx context.Context, svcCtx *svc.ServiceContext) *AdminDeleteOrderLogic {
	return &AdminDeleteOrderLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *AdminDeleteOrderLogic) AdminDeleteOrder(req *types.AdminDeleteOrderReq) (resp *types.AdminDeleteOrderResp, err error) {
	// todo: add your logic here and delete this line

	return
}
